Bug 1254403 - No SDL support, game engine joystick support broken.
No SDL support, game engine joystick support broken.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
21
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 22:50 EDT by Nick
Modified: 2015-12-02 13:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:00:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
basic blender file that sets up the environment for exposing this bug. (490.77 KB, application/x-blender)
2015-08-17 22:50 EDT, Nick
no flags Details

  None (edit)
Description Nick 2015-08-17 22:50:39 EDT
Created attachment 1064133 [details]
basic blender file that sets up the environment for exposing this bug.

Description of problem:

In Blender Game Engine, I can't use the joystick sensors to control anything.


Version-Release number of selected component (if applicable): 

blender-2.74-5.fc21.x86_64


How reproducible: Always.


Steps to Reproduce:
1. Plug in a joystick or xbox controller, etc.
2. Start blender
3. Choose the "Game Engine" pulldown from the main scene menu
4. Add a joystick sensor in the logic pane, choose button, and tick "all events"
5. add a simple and controller
6. add a motion actuator using simple motion, rotate Z axis 5 degrees
7. click and connect all 3 together
8. Pull down the "blender render" option to "blender game"
9. Click "start embedded"
10. push a button on the controller.

(alternatively, load the attached blend file and skip steps 1-8)

Actual results:

Box doesn't rotate


Expected results:

Box rotates.


Additional info:

In 2.74, the blender team added a nice little convenience python module to be able to tell you if SDL support is working or not.  If you open a Python console and type: bpy.app.sdl, it will report back a tuple indicating whether or not SDL is initialized.

In the Fedora packaged version (2.74):

>>> bpy.app.sdl
bpy.app.sdl(supported=False, version=(0, 0, 0), version_string='Unknown', available=False)

In the Blender packaged binary (2.75a):

>>> bpy.app.sdl
bpy.app.sdl(supported=True, version=(2, 0, 3), version_string='2.0.3', available=True)

I have SDL2 installed, as I can make it work correctly with the binary downloaded directly.

See this bug report: https://developer.blender.org/D1112 
describing lack of SDL support causing linux joysticks to fail.
Comment 1 Nick 2015-08-17 23:05:05 EDT
To ensure it wasn't a regression from one version to the next, I downloaded Blender's precompiled version 2.74 to test. That version too, works fine. 

I suspect its how Blender is being compiled.
Comment 2 Igor Gnatenko 2015-10-13 04:04:58 EDT
With patch from bug 1238685 it should works fine again.
Comment 3 Fedora End Of Life 2015-11-04 05:12:18 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:00:29 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.